/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizconfig.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizconfig.entity.BizConfig;
import vip.xiaonuo.biz.modular.bizconfig.param.BizConfigAddParam;
import vip.xiaonuo.biz.modular.bizconfig.param.BizConfigEditParam;
import vip.xiaonuo.biz.modular.bizconfig.param.BizConfigIdParam;
import vip.xiaonuo.biz.modular.bizconfig.param.BizConfigPageParam;

import java.util.List;

/**
 * 系统配置Service接口
 *
 * @author fanzherong
 * @date  2025/03/20 15:40
 **/
public interface BizConfigService extends IService<BizConfig> {

    /**
     * 获取系统配置分页
     *
     * @author fanzherong
     * @date  2025/03/20 15:40
     */
    Page<BizConfig> page(BizConfigPageParam bizConfigPageParam);

    /**
     * 添加系统配置
     *
     * @author fanzherong
     * @date  2025/03/20 15:40
     */
    void add(BizConfigAddParam bizConfigAddParam);

    /**
     * 编辑系统配置
     *
     * @author fanzherong
     * @date  2025/03/20 15:40
     */
    void edit(BizConfigEditParam bizConfigEditParam);

    /**
     * 删除系统配置
     *
     * @author fanzherong
     * @date  2025/03/20 15:40
     */
    void delete(List<BizConfigIdParam> bizConfigIdParamList);

    /**
     * 获取系统配置详情
     *
     * @author fanzherong
     * @date  2025/03/20 15:40
     */
    BizConfig detail(BizConfigIdParam bizConfigIdParam);

    /**
     * 获取系统配置详情
     *
     * @author fanzherong
     * @date  2025/03/20 15:40
     **/
    BizConfig queryEntity(String id);
}
