/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.openinterface.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 应用管理实体
 *
 * @author 徐超
 * @date  2025/04/08 13:25
 **/
@Getter
@Setter
@TableName("biz_open_interface")
public class BizOpenInterface {

    /** 主键 */
    @TableId
    @Schema(description = "主键")
    private String id;

    /** 应用名称 */
    @Schema(description = "应用名称")
    private String appName;

    /** app_key */
    @Schema(description = "app_key")
    private String appKey;

    /** appSecret */
    @Schema(description = "appSecret")
    private String appSecret;

    /** 状态 */
    @Schema(description = "状态")
    private String status;

    /** 删除标识 */
    @Schema(description = "删除标识")
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** CREATE_USER */
    @Schema(description = "CREATE_USER")
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** CREATE_TIME */
    @Schema(description = "CREATE_TIME")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** UPDATE_USER */
    @Schema(description = "UPDATE_USER")
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** UPDATE_TIME */
    @Schema(description = "UPDATE_TIME")
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;
}
