/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.openinterface.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.openinterface.entity.BizOpenInterface;
import vip.xiaonuo.biz.modular.openinterface.param.BizOpenInterfaceAddParam;
import vip.xiaonuo.biz.modular.openinterface.param.BizOpenInterfaceEditParam;
import vip.xiaonuo.biz.modular.openinterface.param.BizOpenInterfaceIdParam;
import vip.xiaonuo.biz.modular.openinterface.param.BizOpenInterfacePageParam;

import java.util.List;

/**
 * 应用管理Service接口
 *
 * @author 徐超
 * @date  2025/04/08 13:25
 **/
public interface BizOpenInterfaceService extends IService<BizOpenInterface> {

    /**
     * 获取应用管理分页
     *
     * @author 徐超
     * @date  2025/04/08 13:25
     */
    Page<BizOpenInterface> page(BizOpenInterfacePageParam bizOpenInterfacePageParam);

    /**
     * 添加应用管理
     *
     * @author 徐超
     * @date  2025/04/08 13:25
     */
    void add(BizOpenInterfaceAddParam bizOpenInterfaceAddParam);

    /**
     * 编辑应用管理
     *
     * @author 徐超
     * @date  2025/04/08 13:25
     */
    void edit(BizOpenInterfaceEditParam bizOpenInterfaceEditParam);

    /**
     * 删除应用管理
     *
     * @author 徐超
     * @date  2025/04/08 13:25
     */
    void delete(List<BizOpenInterfaceIdParam> bizOpenInterfaceIdParamList);

    /**
     * 获取应用管理详情
     *
     * @author 徐超
     * @date  2025/04/08 13:25
     */
    BizOpenInterface detail(BizOpenInterfaceIdParam bizOpenInterfaceIdParam);

    /**
     * 获取应用管理详情
     *
     * @author 徐超
     * @date  2025/04/08 13:25
     **/
    BizOpenInterface queryEntity(String id);
}
