/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.shippingcompany.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.shippingcompany.entity.BizShippingCompany;
import vip.xiaonuo.biz.modular.shippingcompany.param.BizShippingCompanyAddParam;
import vip.xiaonuo.biz.modular.shippingcompany.param.BizShippingCompanyEditParam;
import vip.xiaonuo.biz.modular.shippingcompany.param.BizShippingCompanyIdParam;
import vip.xiaonuo.biz.modular.shippingcompany.param.BizShippingCompanyPageParam;

import java.util.List;

/**
 * 发货单位Service接口
 *
 * @author 徐超
 * @date  2025/01/02 17:45
 **/
public interface BizShippingCompanyService extends IService<BizShippingCompany> {

    /**
     * 获取发货单位分页
     *
     * @author 徐超
     * @date  2025/01/02 17:45
     */
    Page<BizShippingCompany> page(BizShippingCompanyPageParam bizShippingCompanyPageParam);

    /**
     * 添加发货单位
     *
     * @author 徐超
     * @date  2025/01/02 17:45
     */
    void add(BizShippingCompanyAddParam bizShippingCompanyAddParam);

    /**
     * 编辑发货单位
     *
     * @author 徐超
     * @date  2025/01/02 17:45
     */
    void edit(BizShippingCompanyEditParam bizShippingCompanyEditParam);

    /**
     * 删除发货单位
     *
     * @author 徐超
     * @date  2025/01/02 17:45
     */
    void delete(List<BizShippingCompanyIdParam> bizShippingCompanyIdParamList);

    /**
     * 获取发货单位详情
     *
     * @author 徐超
     * @date  2025/01/02 17:45
     */
    BizShippingCompany detail(BizShippingCompanyIdParam bizShippingCompanyIdParam);

    /**
     * 获取发货单位详情
     *
     * @author 徐超
     * @date  2025/01/02 17:45
     **/
    BizShippingCompany queryEntity(String id);
}
